<mat-card>
  <mat-card-title>
    Neuvojat
  </mat-card-title>

    <mat-accordion>

        <mat-expansion-panel *ngFor="let advisor of advisors">
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{advisor.name}}
          </mat-panel-title>
          <mat-panel-description>
              {{advisor.organization}} -- {{advisor.address}}
          </mat-panel-description>
        </mat-expansion-panel-header>

        <mat-form-field>
          <input matInput placeholder="Nimi" [(ngModel)]="advisor.name">
        </mat-form-field>

        <mat-form-field>
            <input matInput placeholder="Organisaatio" [(ngModel)]="advisor.organization">
          </mat-form-field>
          <mat-form-field>
              <input matInput placeholder="Osoite" [(ngModel)]="advisor.address">
            </mat-form-field>

            <mat-action-row>
                <button mat-button color="warn" (click)="deleteAdvisor($event, advisor)">Poista neuvoja</button>
                <button mat-raised-button color="primary" (click)="editAdvisor($event, advisor)">Päivitä tiedot</button>
              </mat-action-row>
      </mat-expansion-panel>

    </mat-accordion>

</mat-card>
